This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 118711 - bad interaction with ldap when TLS is on
bad interaction with ldap when TLS is on
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: nss_ldap (Show other bugs)
9
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Nalin Dahyabhai
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-19 06:26 EST by Alberto Gianoli
Modified: 2007-04-18 13:04 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-02 14:14:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alberto Gianoli 2004-03-19 06:26:23 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040207 Firefox/0.8

Description of problem:
I have read the other problems between nscd and nss_ldap, but I think
this is somewhat different. As soon as I configure the ldap client to
do a secure connection to the server ("ssl start_tls" in
/etc/ldap.conf) nscd simply crashes. Even if I start to run it by hand
(nscd -d) all I get is a segmentation fault (and there is no way to
log in!)....
If I put "ssl no" everything works fine (well, apart from the number
of connections made between the client and server)
Don't know if it is important, but my ldap server certificate is not
self-generated. It is a V3 certificate. The problem is independent
from the request to verify the server certificate, i.e. it happens
event if I instruct the client not to verify the server certificate.

Version-Release number of selected component (if applicable):
nscd-2.3.2-27.9.7   nss_ldap-202-5

How reproducible:
Always

Steps to Reproduce:
1.setup authorization using ldap (of course you need a ldap server)
2.modify /etc/ldap.conf on the ldap client to turn on tls. Typically
go to the end of the file and change "ssl no" in "ssl start_tls" or
use authconfig tool
3.check you processes because nscd should not be there anymore. Try to
start it by hand, and you will get the message: "segmentation fault"
    

Actual Results:  Nscd crashes (it cannot be started). Both sshd and
telnetd seem to fail, because there is no way to log into the machine.
Ssh simply refuses the connection, while telnetd throw me out after
giving the username.

Expected Results:  First of all nscd should not crash. Secondly, I
don't understand how this crash blocks the authentication: I really
can't log in the machine, event if ssh and telent server are running.

Additional info:

Most of these tests were done on athlon machines, but the same seems
to be true with i686 machines too.
Comment 1 Aleksey Nogin 2004-03-20 00:21:19 EST
Have you looked at the bug 117924? This sounds pretty similar.
Comment 2 Alberto Gianoli 2004-03-20 11:01:32 EST
Hhmmm.. it sounds exactly the same. I checked previous bugs for RH9
only, sorry I didn't spot it. Just to add more info: I have another
machine with a different distro (mdk9.2) that has no problem at all to
authenticate with the ldap server (running rh9) with tls on (so, in my
point of view , it is the proof that the ldap server part is ok).
Secondly, but this is a ldap server related problem, the openldap
server as it is has problems if you want a replica with tls transfer
between master and replica. The solution I have found for this
consists in getting a newer versione of openldap and rebuild an rpm.
Comment 3 Alberto Gianoli 2004-03-29 16:22:41 EST
Ahaa! Since nscd was crashing, I thought it was the culprit. After the
bug was moved to the nss_ldap queue, I spent some time checking it.
Well, changing nss_ldap solves the problem. I downloaded the latest
version, recompiled and installed over the distribution version: now
it works. Apparently only nss_ldap is needed, not pam_ldap. If I have
the time and/or will, will try to prepare a src.rpm.
Comment 4 Bill Nottingham 2006-08-05 01:16:10 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.
Comment 6 Bill Nottingham 2007-01-02 14:14:53 EST
Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
f you are currently still running Red Hat Linux 7.3 or 9, you are strongly
advised to upgrade to a current Fedora Core release or Red Hat Enterprise Linux
or comparable. Some information on which option may be right for you is
available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.